import {SecurityContext} from '../context/SecurityContext'
import {Authenticatable} from '../types'
import {BaseEvent} from '../../support/bus'

export abstract class AuthenticationEvent extends BaseEvent {
    constructor(
        public readonly user: Authenticatable,
        public readonly context: SecurityContext,
    ) {
        super()
    }
}
